Facturas publicadas del cliente
curl --request GET \
--url https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/internal/atlas-portal/clients/{atlasClientId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractVersion": 1,
"page": 1,
"pageSize": 20,
"total": 2,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": "F33-10452",
"taxStatus": "pending",
"paymentStatus": "pending",
"netAmount": 250000,
"taxAmount": 47500,
"totalAmount": 297500,
"amountPaid": 0,
"issueDate": "2026-08-01",
"dueDate": "2026-08-11",
"creditNote": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folio": "NC61-212",
"issueDate": "2026-07-20"
}
}
]
}{
"contractVersion": 1,
"code": "CLIENT_NOT_LINKED",
"message": "<string>"
}{
"contractVersion": 1,
"code": "CLIENT_NOT_LINKED",
"message": "<string>"
}{
"contractVersion": 1,
"code": "CLIENT_NOT_LINKED",
"message": "<string>"
}Atlas portal
Facturas publicadas del cliente
Invoice desde PUBLISHED (sin borradores; anuladas solo con nota de crédito). Por defecto los últimos 12 meses; vencidas primero y luego emisión descendente.
GET
/
api
/
v1
/
internal
/
atlas-portal
/
clients
/
{atlasClientId}
/
invoices
Facturas publicadas del cliente
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
Id del client de Atlas (24 hex); se resuelve contra Client.atlas_client_id
Example:
"64f1c0ffee0ddba11ce55aa1"
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 1Response
Versión del contrato; el consumidor acepta la vigente y la anterior
Required range:
x >= 1Example:
1
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 100Example:
20
Required range:
x >= 0Example:
2
Show child attributes
Show child attributes